Story # 41853 (New): As an integrator I want an optimized setup

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-10-23 Assigned To: Karsten Dambekalns
Updated: 2012-10-31 Due date:
PHP Version:
Subject: Package keys without a dot break site generation
Description

Since the composer integration a package key without a dot is technically valid. The kickstarter depends on a dot being present,
though and generates invalid Sites.xml if the dot is not found.

Associated revisions
Revision c0c8836d - 2012-10-23 15:44 - Karsten Dambekalns

[BUGFIX] Fall back to full package key if no dot present

Since the composer integration a package key without a dot is
technically valid. The site kickstarter depended on a dot being present
and generates invalid Sites.xml if the dot is not found.

This change adds a check and falls back to using the package key for the
site node name if needed.

Change-Id: I1ba809f4d63f02efe5493a890afff43b6a96d24b
Fixes: #42309

History
#1 - 2012-10-23 15:40 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2012-10-23 15:44 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15904

#3 - 2012-10-23 15:45 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2012-10-31 09:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c0c8836d6de9498989cfcee65d8b13bbfccf3d6f.
